/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author obper
 */
@Embeddable
public class HproductosucursalPK implements Serializable {
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 3)
    @Column(name = "programa_codigo")
    private String programaCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "sucursal_codigo")
    private String sucursalCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 5)
    @Column(name = "producto_codigo")
    private String productoCodigo;

    public HproductosucursalPK() {
    }

    public HproductosucursalPK(String programaCodigo, String sucursalCodigo, String productoCodigo) {
        this.programaCodigo = programaCodigo;
        this.sucursalCodigo = sucursalCodigo;
        this.productoCodigo = productoCodigo;
    }

    public String getProgramaCodigo() {
        return programaCodigo;
    }

    public void setProgramaCodigo(String programaCodigo) {
        this.programaCodigo = programaCodigo;
    }

    public String getSucursalCodigo() {
        return sucursalCodigo;
    }

    public void setSucursalCodigo(String sucursalCodigo) {
        this.sucursalCodigo = sucursalCodigo;
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (programaCodigo != null ? programaCodigo.hashCode() : 0);
        hash += (sucursalCodigo != null ? sucursalCodigo.hashCode() : 0);
        hash += (productoCodigo != null ? productoCodigo.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof HproductosucursalPK)) {
            return false;
        }
        HproductosucursalPK other = (HproductosucursalPK) object;
        if ((this.programaCodigo == null && other.programaCodigo != null) || (this.programaCodigo != null && !this.programaCodigo.equals(other.programaCodigo))) {
            return false;
        }
        if ((this.sucursalCodigo == null && other.sucursalCodigo != null) || (this.sucursalCodigo != null && !this.sucursalCodigo.equals(other.sucursalCodigo))) {
            return false;
        }
        if ((this.productoCodigo == null && other.productoCodigo != null) || (this.productoCodigo != null && !this.productoCodigo.equals(other.productoCodigo))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.HproductosucursalPK[ programaCodigo=" + programaCodigo + ", sucursalCodigo=" + sucursalCodigo + ", productoCodigo=" + productoCodigo + " ]";
    }

}
